Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

For example if a custom field is only enabled for the tracker Defect and if the tracker is changed to Feature there is not journal telling

that the custom value has been removed.

Tested with Redmine 3.0

Related issues:

Related to Redmine - Feature #22600: Add warning when loosing data from custo... Closed

Associated revisions

Revision 15811 - 2016-09-03 09:26 - Jean-Philippe Lang

Journalize values that are cleared after project or tracker change (#21623).

History

#1 - 2016-01-04 11:38 - Jérôme BATAILLE

Tested with Redmine V3.2.0

I am going to bring a patch

#2 - 2016-01-05 15:57 - Jérôme BATAILLE

- File journal_for_lost_cust_values_when_cust_field_is_not_enabled_anymore.diff added

Here is the patch.

I don't know if the method custom_field_values could be changed to fix that.

#3 - 2016-01-30 04:30 - Toshi MARUYAMA

Could you add test?

#4 - 2016-01-30 14:30 - Jérôme BATAILLE

Sure !

#5 - 2016-04-07 01:07 - Jérôme BATAILLE

- File redmine_3.2.0_21623.diff added

- File redmine_3.2.0_21623_test.diff added

Here are the patches for Redmine 3.2.0.

#6 - 2016-04-24 10:20 - Go MAEDA

- Related to Feature #22600: Add warning when loosing data from custom fields when bulk editing issues added

#7 - 2016-04-30 04:46 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2016-08-23 10:31 - Jérôme BATAILLE

Hi, this patch has been thoroughly and extensively tested on our side, can it be integrated in a coming version, it's a pretty safe and clean
development.

#9 - 2016-08-23 15:17 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.4.0

#10 - 2016-09-03 09:28 - Jean-Philippe Lang

- Subject changed from No journal detail when a custom field value is removed to Journalize values that are cleared after project or tracker change

- Category changed from Custom fields to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Implemented in r15811 for custom and standard fields as well.

#11 - 2016-09-23 17:04 - Jérôme BATAILLE

Jean-Philippe,

Thanks a lot to have taken in account this feature.

Files

journal_for_lost_cust_values_when_cust_field_is_not_enabled_anymore.diff1.29 KB 2016-01-05 Jérôme BATAILLE

redmine_3.2.0_21623.diff 1.48 KB 2016-04-06 Jérôme BATAILLE

redmine_3.2.0_21623_test.diff 1.55 KB 2016-04-06 Jérôme BATAILLE
